//
//  FamigoiPhoneExampleAppDelegate.m
//  FamigoiPhoneExample
//
//  Created by Cody Powell on 9/9/10.
//  Copyright Famigo 2010. All rights reserved.
//

#import "FamigoiPhoneExampleAppDelegate.h"
#import "NumberPickerController.h"
#import "Famigo.h"
#import "NumberPickerConstants.h"

@interface FamigoiPhoneExampleAppDelegate()
-(void)initializeFamigoVariables;
@end

@implementation FamigoiPhoneExampleAppDelegate

@synthesize window;


#pragma mark -
#pragma mark Application lifecycle

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {    
	[self initializeFamigoVariables];
	
    // Override point for customization after application launch.
	NumberPickerController *numberPicker = [[NumberPickerController alloc] init];
	[window addSubview:numberPicker.view];
    [window makeKeyAndVisible];
	
	return YES;
}

-(void)initializeFamigoVariables {
	// This is the API Key for our test app.  It varies app by app.  To get your own key, just send an email to
	// support@famigogames.com
	NSUserDefaults *db = [NSUserDefaults standardUserDefaults];
	[db setValue:@"6384a5e8f95dc1a2033485168a48ee7b9e3e3100" forKey:FC_d_api_key];
	[db synchronize];
	
	Famigo *f = [Famigo sharedInstance];
	f.skipInvites = NO; // This is an asynchronous game, so we'll be inviting other players to join us.
	f.allFamigoPlayers = YES; // Everybody in this game is a Famigo player.
	f.game_name = @"Number Picker"; // Displayed in the Famigo title bar.
	f.game_instructions = @"Pick a number!  Do you really need instructions for that?"; // This is the text that shows up on the Info tab in the Famigo screens.
}

- (void)applicationWillResignActive:(UIApplication *)application {
    /*
     Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
     Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
     */
}


- (void)applicationDidEnterBackground:(UIApplication *)application {
    /*
     Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
     If your application supports background execution, called instead of applicationWillTerminate: when the user quits.
     */
}


- (void)applicationWillEnterForeground:(UIApplication *)application {
    /*
     Called as part of  transition from the background to the inactive state: here you can undo many of the changes made on entering the background.
     */
}


- (void)applicationDidBecomeActive:(UIApplication *)application {
    /*
     Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
     */
}


- (void)applicationWillTerminate:(UIApplication *)application {
    /*
     Called when the application is about to terminate.
     See also applicationDidEnterBackground:.
     */
}


#pragma mark -
#pragma mark Memory management

- (void)applicationDidReceiveMemoryWarning:(UIApplication *)application {
    /*
     Free up as much memory as possible by purging cached data objects that can be recreated (or reloaded from disk) later.
     */
}


- (void)dealloc {
    [window release];
    [super dealloc];
}


@end
